%define real_name xattr
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary: Extended attributes for python
Name: python-xattr
Version: 0.7.9
Release: %mkrel 1
License: GPL
Group: Development/Python
URL: http://pypi.python.org/pypi/xattr
Source: http://pypi.python.org/packages/source/x/xattr/xattr-%{version}.tar.gz
Provides: pyxattr = %{version}-%{release}
Requires: python-pkg-resources
BuildRequires: libattr-devel
BuildRequires: python-setuptools
BuildRequires: pkgconfig(libffi)
BuildRequires: pkgconfig(python)
BuildRequires: python-cffi
BuildRequires: python-ply
BuildRequires: python-pycparser
BuildRequires: pkgconfig(python3)
BuildRequires: python3-setuptools
BuildRequires: python3-cffi
BuildRequires: python3-ply
BuildRequires: python3-pycparser

%description
python-xattr is a C extension module for Python which implements
extended attributes manipulation. It is a wrapper on top of the
attr C library - see attr(5).

%package -n python3-xattr
Summary:	Extended attributes for Python3
Group:		Development/Python

%description -n python3-xattr
python-xattr is a C extension module for Python which implements
extended attributes manipulation. It is a wrapper on top of the
attr C library - see attr(5).

%prep
%setup -q -n %{real_name}-%{version}
rm -rf xattr.egg-info
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd

%py2_build

%install
pushd %{py3dir}
%define install3param --install-purelib=%{python3_sitearch}
%py3_install %{install3param}
popd
%define install2param --install-purelib=%{python2_sitearch}
%py2_install %{install2param}


%files
%{_bindir}/xattr
%{python2_sitearch}/xattr/
%{python2_sitearch}/xattr-%{version}-py?.?.egg-info/

%files -n python3-xattr
%{python3_sitearch}/xattr/
%{python3_sitearch}/xattr-%{version}-py?.?.egg-info/



%changelog
* Sat Feb 13 2016 philippem <philippem> 0.7.9-1.mga6
+ Revision: 959784
- update to 0.7.9

* Thu Oct 08 2015 tv <tv> 0.7.5-7.mga6
+ Revision: 887580
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.7.5-6.mga5
+ Revision: 741890
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7.5-5.mga5
+ Revision: 730014
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7.5-4.mga5
+ Revision: 688428
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 philippem <philippem> 0.7.5-3.mga5
+ Revision: 661703
- rebuild for new python-cffi

* Sat Jul 19 2014 philippem <philippem> 0.7.5-2.mga5
+ Revision: 653776
- fix Build Requires

* Thu Jul 17 2014 philippem <philippem> 0.7.5-1.mga5
+ Revision: 653496
- update to 0.7.5, add Python3

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.7.2-3.mga4
+ Revision: 544505
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.2-2.mga4
+ Revision: 499765
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 0.7.2-1.mga4
+ Revision: 491868
- Update to 0.7.2

* Wed Aug 14 2013 philippem <philippem> 0.6.4-3.mga4
+ Revision: 466565
- fix missing buildrequires

* Sun Jan 13 2013 umeabot <umeabot> 0.6.4-2.mga3
+ Revision: 379693
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 21 2012 philippem <philippem> 0.6.4-1.mga2
+ Revision: 211549
- Update to 0.6.4.

* Wed Oct 26 2011 philippem <philippem> 0.6.2-1.mga2
+ Revision: 158251
- New upstream 0.6.2

* Thu Apr 14 2011 ahmad <ahmad> 0.6.1-4.mga1
+ Revision: 85428
- install with --skip-build
- use upstream %%{python_sitearch}
- imported package python-xattr

